## agg 2.4

=== examples/win32_api/compositing/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin or MinGW
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=compositing
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/conv_dash_marker/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=conv_dash_marker
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gouraud_mesh/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gouraud_mesh
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gpc_test/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gpc_test
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include -I../../../gpc \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../make_arrows.cpp \
../../make_gb_poly.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../*.o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/image1/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=image1
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/lion/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=lion
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../parse_lion.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/pattern_fill/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=pattern_fill
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/simple_blur/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=simple_blur
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../parse_lion.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/trans_curve2/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=trans_curve2
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) \
-I../../../include \
-I../../../font_win32_tt \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../interactive_polygon.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp \
../../../font_win32_tt/agg_font_win32_tt.cpp


OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../interactive_polygon.o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/trans_polar/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=trans_polar
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

## agg 2.4-r127+dfsg1

=== debian/changelog ===
agg (1:2.4-r127+dfsg1-1) unstable; urgency=medium

  * I am taking over this package. Thank you Andrea Veri for your
    hard work. (Closes: #827993)
  * New upstream release. AGG 2.5 is a dead release of AGG. AGG 2.4
    was forked by its users and development continues on that fork.
    The license for AGG is changing from GPL-2 back to BSD.  Since 
    the upstream version is reverting to 2.4 the version epoch
    was been incremented from 0 to 1.
  * Upstream has fixed the clang build issues. (Closes: #851169)
  * Upstream has fixed the gcc-7 issues. (Closes: #853303)
  * Patches 05-fix-recursion-crash.patch and 06-fix-missing-includes.patch 
    have been migrated to upstream.
  * agg_conv_gpc.h removed from upstream source tarball due to concerns
    over non-free code. Patch 05-no-agg_conv_gpc.h.patch removed this
    file from the build system. (Closes: #719420)
  * configure.in renamed to configure.ac in source tarball to fix
    lintian pedantic warning.
  * Upstream has updated the example svg_test to fix several
    SVG rendering issues and incorporate fixes and enhancements
    from other projects. svg_test is not included in the libagg-dev
    binary distribution but consumers of this code can find updated
    example files in the agg source package. (Closes: #522360)
  * Bump Standards-Version to 4.0.1

 -- John Horigan <john@glyphic.com>  Sun, 13 Aug 2017 15:32:15 -0700

agg (2.5+dfsg1-12) unstable; urgency=medium

  * QA upload.
  * Use automake instead of automake1.11 (Closes: #865147)

 -- Adrian Bunk <bunk@debian.org>  Mon, 19 Jun 2017 20:47:20 +0300

agg (2.5+dfsg1-11) unstable; urgency=medium

  * QA upload.
  * Add a debian/watch file.
  * Bump Standards-Version to 3.9.8.
  * Run wrap-and-sort.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Sun, 06 Nov 2016 06:52:41 -0500

agg (2.5+dfsg1-10) unstable; urgency=low

  * Package has been orphaned.

 -- Andrea Veri <and@debian.org>  Thu, 23 Jun 2016 16:42:49 +0200

agg (2.5+dfsg1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/10-FTBFS-AM_C_PROTOTYPES-support.patch:
    - fix FTBFS caused by unsupported AM_C_PROTOTYPES in automake-1.15
      (Closes: #822544)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 16 Jun 2016 09:42:35 +0200

agg (2.5+dfsg1-9) unstable; urgency=low

  * Build-Depend on automake1.11, seems agg is still
    building fine with this automake release. (Closes: #724347)

 -- Andrea Veri <and@debian.org>  Sat, 26 Oct 2013 14:18:09 +0200

agg (2.5+dfsg1-8) unstable; urgency=low

  * debian/patches/09-fix-hurd-ftbfs.patch:
    - added to prevent a FTBFS on GNU/Hurd. Credits goes to
      Barry deFreese. (Closes: #676149) 

 -- Andrea Veri <and@debian.org>  Tue, 05 Jun 2012 12:40:56 +0200

agg (2.5+dfsg1-7) unstable; urgency=low

  * debian/patches/08-fix-kfreebsd-ftbfs.patch:
    - added to prevent a FTBFS on kfreebsd-*. (Closes: #671069)

 -- Andrea Veri <and@debian.org>  Tue, 01 May 2012 21:31:31 +0200

agg (2.5+dfsg1-6) unstable; urgency=low

  * debian/rules:
    - refreshed to build pic files again. Thanks to Pino Toscano
      for the patch. (Closes: #671017)
  * debian/copyright:
    - updated to Copyright Format 1.0; use more fine grained Copyright
      for files. Thanks to Jari Aalto for the patch! (Closes: #671000)
  * debian/patches/07-autogen-noconfigure.patch:
    - added to disable configure's run on the autogen file.

 -- Andrea Veri <and@debian.org>  Tue, 01 May 2012 17:22:49 +0200

agg (2.5+dfsg1-5) unstable; urgency=low

  * Moved to Source Format Quilt.
  * General package's cleanup:
    - bumped Standards-Version to latest.
    - refreshed all the patches.
    - added ${misc:Depends}.
    - rewrite debian/rules and adapt it to DH9.

 -- Andrea Veri <and@debian.org>  Sat, 21 Apr 2012 14:55:23 +0200

agg (2.5+dfsg1-4) unstable; urgency=low

  * debian/patches/06_fix_missing_includes.dpatch: Fix missing
    includes for a successful build. Thanks to Artur Rona for
    taking the time to forward this patch from Ubuntu. (Closes: #575620)
  * debian/patches/05_fix_recursion_crash.dpatch: patch updated
    to avoid compilation issues.
  * debian/control:
    - updating my e-mail since my old address is no longer
      available.
    - Bumped Standards-Version to latest 3.9.2.
    - removing DMUA, it's no longer needed now.

 -- Andrea Veri <and@debian.org>  Fri, 22 Jul 2011 16:55:28 +0200

agg (2.5+dfsg1-3) unstable; urgency=low

  * debian/patches/05_fix_recursion_crash:
    - grabbed from Ubuntu, so we can finally keep this
      package in sync. Thanks to Brian Murray for the work
      on it.
  * debian/patches/series:
    - refreshed.
  * debian/control:
    - added DM tag.
    - bumped standards-versions to 3.8.3
  * debian/compat:
    - bumped to level 7 matching dh version.
  * debian/changelog:
    - added missing copyright holders.

 -- Andrea Veri <andrea.veri89@gmail.com>  Fri, 20 Nov 2009 19:10:21 +0100

agg (2.5+dfsg1-2) unstable; urgency=low

  * I decided to take care of this package again. Therefore
    I can close the 'O' bug I opened before. (Closes: #536171)
  * debian/control:
    - changed my mail address
    - bumped debhelper to level 7
    - bumped Standards-version to 3.8.2
    - removed Xs-Vcs field for now, I'll maintain this package
      on bzr later on.
  * debian/rules:
    - pass '--x-includes=/usr/include --x-libraries=/usr/lib' to 
      both makefile and configure preventing a FTBFS when processing
      '-L@x_libraries@' on amd64. Thanks to Chris Lamb who worked on
      this too. (Closes: #534041)
    - added a clean rule for gcp/Makefile.in for a cleaner diff.
    - clean rule updated preventing a lintian warning
   * debian/copyright:
    - added some informations about Debian packaging's copyright, which is
      licensed under the GPL license, preventing lintian to complain about
      a missing '/usr/share/common-licenses/GPL' line.
   * debian/compat:
     - bumped compatibility level to 6



=== debian/control ===
Source: agg
Priority: optional
Maintainer: John Horigan <john@glyphic.com>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               libfreetype6-dev,
               libsdl1.2-dev,
               libtool,
               libx11-dev,
               pkg-config
Standards-Version: 4.0.1
Section: libs
Homepage: http://www.antigrain.com

Package: libagg-dev
Section: libdevel
Conflicts: libagg23-dev
Architecture: any
Depends: ${misc:Depends}
Description: AntiGrain Geometry graphical toolkit (development files)
 Anti-Grain Geometry (AGG) is a general purpose graphical toolkit written
 completely in standard and platform independent C++. It can be used in many
 areas of computer programming where high quality 2D graphics is an essential
 part of the project.
 .
 This package contains the development files for building applications using
 agg.

=== debian/rules ===
#!/usr/bin/make -f

FLAVOURS := pic nonpic

CONFIGURE_ARGS_COMMON := --prefix=/usr --disable-examples --x-includes=/usr/include --x-libraries=/usr/lib
CONFIGURE_ARGS_pic := -with-pic
CONFIGURE_ARGS_nonpic := --disable-gpc
DESTDIR_nonpic := debian/libagg-dev
DESTDIR_pic := debian/tmp-pic

builddir = $(patsubst %,obj-%,$(1))

define do-flavour 

configure-$(1): configure-$(1)-stamp
	:
configure-$(1)-stamp:
	rm -rf $(CURDIR)/$(builddir)
	mkdir -p $(CURDIR)/$(builddir)
	find $(CURDIR)/* -maxdepth 0 -not -path '$(CURDIR)/obj-*' | \
		xargs cp -rlf -t $(CURDIR)/$(builddir)
	cd $(builddir) && env NOCONFIGURE=1 sh autogen.sh && ./configure $(CONFIGURE_ARGS_COMMON) $(CONFIGURE_ARGS_$(1)) $(shell dpkg-buildflags --export=configure)
	touch $$@

build-$(1): build-$(1)-stamp
	:
build-$(1)-stamp: configure-$(1)
	$(MAKE) -C $(builddir)
	touch $$@

install-$(1): install-$(1)-stamp
	:
install-$(1)-stamp: build-$(1)
	$(MAKE) -C $(builddir) install DESTDIR=$(CURDIR)/$(DESTDIR_$(1))
	touch $$@

endef

$(foreach f,$(FLAVOURS),$(eval $(call do-flavour,$(f))))

%:
	dh $@

override_dh_auto_build: $(foreach f,$(FLAVOURS),build-$(f))
	:

override_dh_auto_install: $(foreach f,$(FLAVOURS),install-$(f))

	install -m644 $(DESTDIR_pic)/usr/lib/libaggfontfreetype.a \
		$(CURDIR)/debian/libagg-dev/usr/lib/libaggfontfreetype_pic.a
	install -m644 $(DESTDIR_pic)/usr/lib/libaggplatformsdl.a \
		$(CURDIR)/debian/libagg-dev/usr/lib/libaggplatformsdl_pic.a
	install -m644 $(DESTDIR_pic)/usr/lib/libaggplatformX11.a \
		$(CURDIR)/debian/libagg-dev/usr/lib/libaggplatformX11_pic.a
	install -m644 $(DESTDIR_pic)/usr/lib/libagg.a \
		$(CURDIR)/debian/libagg-dev/usr/lib/libagg_pic.a

        # Remove .so / .la files
	find $(CURDIR)/debian/libagg-dev/usr/lib/ -name "*.so*" | xargs rm
	find $(CURDIR)/debian/libagg-dev/usr/lib/ -name "*.la" | xargs rm

override_dh_auto_clean:
	rm -rf $(foreach f,$(FLAVOURS),obj-$(f))
	rm -rf $(DESTDIR_pic)
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## agg 2.5%2Bdfsg1

=== examples/win32_api/Makefile ===
#
# This makefile can be used to build Win32 application under Cygwin
#

all:
	cd aa_demo; make
	cd aa_test; make
	cd alpha_gradient; make
	cd alpha_mask; make
	cd alpha_mask2; make
	cd alpha_mask3; make
	cd bezier_div; make
	cd bspline; make
	cd circles; make
	cd compositing; make
	cd component_rendering; make
	cd conv_contour; make
	cd conv_dash_marker; make
	cd conv_stroke; make
	cd distortions; make
	cd gamma_correction; make
	cd gamma_ctrl; make
	cd gouraud; make
	cd gpc_test; make
	cd gradients; make
	cd graph_test; make
	cd idea; make
	cd image_alpha; make
	cd image_filters; make
	cd image_filters2; make
	cd image_fltr_graph; make
	cd image_transforms; make
	cd image_perspective; make
	cd image_resample; make
	cd images1; make
	cd line_patterns; make
	cd lion; make
	cd lion_lens; make
	cd lion_outline; make
	cd mol_view; make
	cd multi_clip; make
	cd pattern_fill; make
	cd perspective; make
	cd polymorphic_renderer; make
	cd raster_text; make
	cd rasterizers; make
	cd rasterizers2; make
	cd rounded_rect; make
	cd scanline_boolean; make
	cd scanline_boolean2; make
	cd simple_blur; make
	cd trans_polar; make
	cd trans_curve1; make
	cd trans_curve2; make
	cd truetype_test; make
clean:
	cd aa_demo; make clean
	cd aa_test; make clean
	cd alpha_gradient; make clean
	cd alpha_mask; make clean
	cd alpha_mask2; make clean
	cd alpha_mask3; make clean
	cd bezier_div; make clean
	cd bspline; make clean
	cd circles; make clean
	cd compositing; make clean
	cd component_rendering; make clean
	cd conv_contour; make clean
	cd conv_dash_marker; make clean
	cd conv_stroke; make clean
	cd distortions; make clean
	cd gamma_correction; make clean
	cd gamma_ctrl; make clean
	cd gouraud; make clean
	cd gpc_test; make clean
	cd gradients; make clean
	cd graph_test; make clean
	cd idea; make clean
	cd image_alpha; make clean
	cd image_filters; make clean
	cd image_filters2; make clean
	cd image_fltr_graph; make clean
	cd image_perspective; make clean
	cd image_resample; make clean
	cd image_transforms; make clean
	cd images1; make clean
	cd line_patterns; make clean
	cd lion; make clean
	cd lion_lens; make clean
	cd lion_outline; make clean
	cd mol_view; make clean
	cd multi_clip; make clean
	cd pattern_fill; make clean
	cd perspective; make clean
	cd polymorphic_renderer; make clean
	cd raster_text; make clean
	cd rasterizers; make clean
	cd rasterizers2; make clean
	cd rounded_rect; make clean
	cd scanline_boolean; make clean
	cd scanline_boolean2; make clean
	cd simple_blur; make clean
	cd trans_polar; make clean
	cd trans_curve1; make clean
	cd trans_curve2; make clean
	cd truetype_test; make clean

## agg 2.5+dfsg1

=== examples/win32_api/aa_test/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=aa_test
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/bezier_div/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=bezier_div
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../interactive_polygon.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../interactive_polygon.o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/blend_color/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=blend_color
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gamma_tuner/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gamma_tuner
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/line_patterns/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=line_patterns
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/lion_lens/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=lion_lens
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../parse_lion.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/pattern_resample/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=pattern_resample
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../interactive_polygon.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../interactive_polygon.o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/raster_text/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=raster_text
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,8 @@
 Source: agg
 Priority: optional
-Maintainer: John Horigan <john@glyphic.com>
-Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9),
-               libfreetype6-dev,
-               libsdl1.2-dev,
-               libtool,
-               libx11-dev,
-               pkg-config
-Standards-Version: 4.0.1
+Maintainer: Andrea Veri <and@debian.org>
+Build-Depends: debhelper (>= 9), autoconf, automake1.11, libsdl1.2-dev, libfreetype6-dev, pkg-config, libtool, libx11-dev
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.antigrain.com
 
@@ -26,3 +19,4 @@
  .
  This package contains the development files for building applications using
  agg.
+

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,3 @@
 	rm -rf $(foreach f,$(FLAVOURS),obj-$(f))
 	rm -rf $(DESTDIR_pic)
 	dh_auto_clean
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
-

## agg 2.6.0

=== examples/win32_api/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 all:
 	cd aa_demo; make
 	cd aa_test; make
+	cd agg2d_demo; make
 	cd alpha_gradient; make
 	cd alpha_mask; make
 	cd alpha_mask2; make
@@ -32,7 +33,7 @@
 	cd image_transforms; make
 	cd image_perspective; make
 	cd image_resample; make
-	cd images1; make
+	cd image1; make
 	cd line_patterns; make
 	cd lion; make
 	cd lion_lens; make

=== examples/win32_api/alpha_mask2/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=alpha_mask2
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../parse_lion.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/conv_stroke/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=conv_stroke
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/distortions/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=distortions
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/flash_rasterizer2/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=flash_rasterizer2
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gamma_ctrl/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gamma_ctrl
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gouraud/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gouraud
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/gradient_focal/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=gradient_focal
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/image_alpha/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=image_alpha
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/image_filters/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=image_filters
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/image_fltr_graph/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=image_fltr_graph
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

=== examples/win32_api/lion_outline/Makefile ===
#
# This makefile can be used to build a Win32 application under Cygwin
#

include ../../../Makefile.in.$(shell uname)

PROGNAME=lion_outline
OUTNAME=$(PROGNAME)
PLATFORM=win32

CXXFLAGS= $(AGGCXXFLAGS) -I../../../include \
-I/usr/X11R6/include \
-L/usr/X11R6/lib \
-L../../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lgdi32

SRC=\
../../$(PROGNAME).cpp \
../../parse_lion.cpp \
../../../src/platform/$(PLATFORM)/agg_platform_support.cpp \
../../../src/platform/$(PLATFORM)/agg_win32_bmp.cpp

OBJ= $(SRC:.cpp=.o)

$(OUTNAME):	$(OBJ)
	$(CXX) $(CXXFLAGS)  $^ -o $(OUTNAME) $(LIBS)

clean:
	rm -f $(OUTNAME)
	rm -f ../../$(PROGNAME).o
	rm -f ../../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -f gamma.txt
	rm -f gamma.bin

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

## agg 2.6.0-r132+dfsg1

=== debian/changelog ===
agg (1:2.6.0-r132+dfsg1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:37 +0100

agg (1:2.6.0-r132+dfsg1-3) unstable; urgency=medium

  * Update symbols file to make all remaining template symbols optional.
    (Closes: #921111)

 -- John Horigan <john@glyphic.com>  Fri, 01 Feb 2019 12:04:14 -0800

agg (1:2.6.0-r132+dfsg1-2) unstable; urgency=medium

  * Updated symbols file for i386/etc (Closes: #920829)

 -- John Horigan <john@glyphic.com>  Wed, 30 Jan 2019 18:11:17 -0800

agg (1:2.6.0-r132+dfsg1-1) unstable; urgency=medium

  * Upgrade to upstream version 2.6.0-r132
  * Fix failure to cross-build from source (FTCBFS) by using
    dh_auto_configure to pass --host to configure. Applying rules
    patch from Helmut Grohne <helmut@subdivi.de> (Closes: #914740)
  * Support multi-arch.
  * Add two more binary packages: libagg2-dev with development
    files, including shared libraries; and libagg2 with just
    the so files. (Closes: #377270)
  * Removed no-pre-c89.patch, fixed in upstream.
  * Removed 03-pkg-config-pic.patch. A sed script in the rules file
    changes the library pointer to libagg_pic.a in libagg-dev. In
    libagg2-dev the shared library is selected.
  * Add patch to change ABI from 2:6:0 to 3:0:1
  * Bump Standards-Version to 4.3.0.0
  * Bumped debhelper/compat to level 10

 -- John Horigan <john@glyphic.com>  Thu, 24 Jan 2019 18:33:41 -0800

=== debian/rules ===
#!/usr/bin/make -f

FLAVOURS := pic nonpic

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS := hardening=+all
CONFIGURE_ARGS_COMMON := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --disable-examples --x-includes=/usr/include --x-libraries=/usr/lib/$(DEB_HOST_MULTIARCH)
CONFIGURE_ARGS_pic := -with-pic
CONFIGURE_ARGS_nonpic := --disable-gpc
DESTDIR_nonpic := debian/libagg-dev
DESTDIR_pic := debian/libagg2-dev

builddir = $(patsubst %,obj-%,$(1))

define do-flavour

configure-$(1): configure-$(1)-stamp
	:
configure-$(1)-stamp:
	rm -rf $(CURDIR)/$(builddir)
	mkdir -p $(CURDIR)/$(builddir)
	find $(CURDIR)/* -maxdepth 0 -not -path '$(CURDIR)/obj-*' | \
		xargs cp -rlf -t $(CURDIR)/$(builddir)
	cd $(builddir) && env NOCONFIGURE=1 sh autogen.sh
	dh_auto_configure --sourcedirectory=$(builddir) -- $(CONFIGURE_ARGS_COMMON) $(CONFIGURE_ARGS_$(1)) $(shell dpkg-buildflags --export=configure)
	touch $$@

build-$(1): build-$(1)-stamp
	:
build-$(1)-stamp: configure-$(1)
	$(MAKE) -C $(builddir)
	touch $$@

install-$(1): install-$(1)-stamp
	:
install-$(1)-stamp: build-$(1)
	$(MAKE) -C $(builddir) install DESTDIR=$(CURDIR)/$(DESTDIR_$(1))
	touch $$@

endef

$(foreach f,$(FLAVOURS),$(eval $(call do-flavour,$(f))))

%:
	dh $@

override_dh_auto_build: $(foreach f,$(FLAVOURS),build-$(f))
	:

override_dh_auto_install: $(foreach f,$(FLAVOURS),install-$(f))

		# Fix names of PIC static libs
	mv $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggfontfreetype.a \
		$(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggfontfreetype_pic.a
	mv $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggplatformsdl.a \
		$(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggplatformsdl_pic.a
	mv $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggplatformX11.a \
		$(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libaggplatformX11_pic.a
	mv $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libagg.a \
		$(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libagg_pic.a

		# Cross-install static libs
	install -m644 $(DESTDIR_nonpic)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
		$(CURDIR)/debian/libagg2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	install -m644 $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/*_pic.a \
		$(CURDIR)/debian/libagg-dev/usr/lib/$(DEB_HOST_MULTIARCH)

		# Remove .la files / non-PIC .so files
	find $(CURDIR)/debian/libagg-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ -name "*.so*" | xargs rm
	find $(CURDIR)/debian/libagg-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ -name "*.la" | xargs rm
	find $(CURDIR)/debian/libagg2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ -name "*.la" | xargs rm

		# Remove libaggfontfreetype/libaggplatform* .so files
	find $(CURDIR)/debian/libagg2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ -name "libaggfontfreetype.so*" | xargs rm
	find $(CURDIR)/debian/libagg2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ -name "libaggplatform*.so*" | xargs rm

		# Install so files in runtime package
	mkdir -m755 -p $(CURDIR)/debian/libagg2/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/libagg.so.* \
		$(CURDIR)/debian/libagg2/usr/lib/$(DEB_HOST_MULTIARCH)

		# Fix pkg-config file in libagg-dev to point to PIC static library
	sed 's/-lagg/-lagg_pic/' $(DESTDIR_pic)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libagg.pc \
		> $(DESTDIR_nonpic)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libagg.pc

override_dh_auto_clean:
	rm -rf $(foreach f,$(FLAVOURS),obj-$(f))
	rm -rf $(DESTDIR_pic)
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
# The upstream is a SourceForge subversion repository. There is no
# reliable way to get versioned tarballs.
